
Foreman - Bug #17855

[Image based Provisioning] Template association does not reflect correctly

12/27/2016 06:50 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Compute resources - oVirt   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1350160 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4140

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1350160

Description of problem:

While performing the image based provisioning, If we change the image multiple times than associated template [ under Virtual

Machine ---> Template ] does not change accordingly.

Version-Release number of selected component (if applicable):

6.2 Beta 2

How reproducible:

Compute Resource : RHEV

Select the provisioning method as the `Image Based`.

--> select any image

--> check the Template field [ Virtual Machine ---> Template ]

--> Now change the image

--> check the Template section, it still shows the old template association

Expected results:

Should have reflected the correct template association

Additional info:

Associated revisions

Revision 0c78cd75 - 01/03/2017 11:11 AM - Shimon Shtein

Fixes #17855 - reflect changes to template on image selection

In oVirt images are based on templates, so when an image is selected

on operating system tab, the template field on compute resource tab

should change accordingly.

Revision a1fde7ca - 01/30/2017 11:02 AM - Shimon Shtein

Fixes #17855 - reflect changes to template on image selection

In oVirt images are based on templates, so when an image is selected

on operating system tab, the template field on compute resource tab

should change accordingly.

(cherry picked from commit 0c78cd75104a316cd78c5cd3ff9df3232bb8e144)

History

#1 - 12/27/2016 06:55 AM - Shimon Shtein

Didn't check if the bug is UI only, or it has implications on template choice.
#2 - 12/27/2016 10:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/4140 added

#3 - 01/03/2017 12:01 PM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0c78cd75104a316cd78c5cd3ff9df3232bb8e144.

#4 - 01/04/2017 03:25 AM - Dominic Cleal

- Category changed from Unattended installations to Compute resources - oVirt

- translation missing: en.field_release set to 210

#5 - 01/31/2017 10:20 AM - Ivan Necas

- Target version set to 1.11.1
